shared_ptr_atomic.h File Reference

Go to the source code of this file.

## Namespaces

| std

## Macros

#define | __cpp_lib_atomic_shared_ptr
#define | _GLIBCXX_TSAN_MUTEX_DESTROY(X)
#define | _GLIBCXX_TSAN_MUTEX_LOCKED(X)
#define | _GLIBCXX_TSAN_MUTEX_POST_SIGNAL(X)
#define | _GLIBCXX_TSAN_MUTEX_POST_UNLOCK(X)
#define | _GLIBCXX_TSAN_MUTEX_PRE_SIGNAL(X)
#define | _GLIBCXX_TSAN_MUTEX_PRE_UNLOCK(X)
#define | _GLIBCXX_TSAN_MUTEX_TRY_LOCK(X)
#define | _GLIBCXX_TSAN_MUTEX_TRY_LOCK_FAILED(X)

## Variables

template<typename _Up >
static constexpr bool | std::__is_shared_ptr
template<typename _Up >
static constexpr bool | std::__is_shared_ptr< shared_ptr< _Up > >

## Detailed Description

This is an internal header file, included by other library headers. Do not attempt to use it directly. Instead, include <memory>.

Definition in file shared_ptr_atomic.h.